// Simple function to reverse a word using stacks

#include "book.h"
#include "astack.h"

using std::cin;

int main()
{
    AStack<char> toReverse(6);

    char charInput;
    cout << "Input word or phrase to be reversed: " << endl;
    while(charInput != '\n')
    {
        cin.get(charInput);
        toReverse.push(charInput);
    }

    cout << endl << "Your reversed input is: ";
    while(toReverse.length() > 0)
    {
        cout << toReverse.pop();
    }
    cout << endl;

    return 0;
}

