// Simple function to reverse a word using stacks
// Polymorphic array version

#include "book.h"
#include "astack.h"
#include "lstack.h"

using std::cin;

int main()
{
    Stack<char> *arrayOfStackstoReverse[2];
    arrayOfStackstoReverse[0] = new LStack<char>;
    arrayOfStackstoReverse[1] = new AStack<char>(10);

    for(int i=0; i < 2; i++)
    {
        cout << "Run: " << i+1 << endl;
        char charInput = 'O';

        cout << "Input word or phrase to be reversed: " << endl;

        while(charInput != '\n')
        {
            cin.get(charInput);
            arrayOfStackstoReverse[i]->push(charInput);
        }

        cout << endl << "Your reversed input is: ";

        while(arrayOfStackstoReverse[i]->length()>0)
        {
            cout << arrayOfStackstoReverse[i]->pop();
        }
        cout << endl << endl << endl;
    }

    return 0;
}

